package com.hongyegroup.cpt_parttime.mvvm

import com.guadou.lib_baselib.base.vm.BaseViewModel
import com.hongyegroup.cpt_parttime.adapter.PopupPositionAdapter
import com.hongyegroup.cpt_parttime.bean.PopupTitleSubTitleBean

class PopupPosiitonViewModel : BaseViewModel() {

    val mPositionDatas = mutableListOf<PopupTitleSubTitleBean>()

    val mAdapter by lazy { PopupPositionAdapter(mPositionDatas) }

    /**
     * 获取职位类型数据
     */
    fun getPositionDataes() {

        //1
        val list1 = listOf(
            PopupTitleSubTitleBean.SubBean("全部").apply { isSelected = true })
        val positionBean1 = PopupTitleSubTitleBean("0", "", list1)
        mPositionDatas.add(positionBean1)

        //2
        val list2 = listOf(
            PopupTitleSubTitleBean.SubBean("主播"),
            PopupTitleSubTitleBean.SubBean("客服"),
            PopupTitleSubTitleBean.SubBean("手机任务"),
            PopupTitleSubTitleBean.SubBean("厂工"),
            PopupTitleSubTitleBean.SubBean("派单"),
        )
        val positionBean2 = PopupTitleSubTitleBean("0", "热门推荐", list2)
        mPositionDatas.add(positionBean2)

        //3
        val list3 = listOf(
            PopupTitleSubTitleBean.SubBean("网店"),
            PopupTitleSubTitleBean.SubBean("短视频"),
            PopupTitleSubTitleBean.SubBean("电商"),
            PopupTitleSubTitleBean.SubBean("代理"),
            PopupTitleSubTitleBean.SubBean("广告"),
            PopupTitleSubTitleBean.SubBean("促销"),
            PopupTitleSubTitleBean.SubBean("销售"),
            PopupTitleSubTitleBean.SubBean("导购"),
        )
        val positionBean3 = PopupTitleSubTitleBean("0", "市场推广", list3)
        mPositionDatas.add(positionBean3)

        //4
        val list4 = listOf(
            PopupTitleSubTitleBean.SubBean("店员"),
            PopupTitleSubTitleBean.SubBean("厨师"),
            PopupTitleSubTitleBean.SubBean("美容美甲"),
            PopupTitleSubTitleBean.SubBean("送餐员"),
            PopupTitleSubTitleBean.SubBean("服务员"),
            PopupTitleSubTitleBean.SubBean("促销"),
            PopupTitleSubTitleBean.SubBean("销售"),
            PopupTitleSubTitleBean.SubBean("导购"),
        )
        val positionBean4 = PopupTitleSubTitleBean("0", "服务行业", list4)
        mPositionDatas.add(positionBean4)

        //5
        val list5 = listOf(
            PopupTitleSubTitleBean.SubBean("保洁员"),
            PopupTitleSubTitleBean.SubBean("玻璃清洁"),
            PopupTitleSubTitleBean.SubBean("酒店卫生"),
            PopupTitleSubTitleBean.SubBean("酒店传菜"),
            PopupTitleSubTitleBean.SubBean("街道卫生"),
            PopupTitleSubTitleBean.SubBean("垃圾桶"),
            PopupTitleSubTitleBean.SubBean("垃圾分类"),
        )
        val positionBean5 = PopupTitleSubTitleBean("0", "清洁卫生", list5)
        mPositionDatas.add(positionBean5)
    }

}